# FreeIPA Server aufsetzen
---
- name: Clone cloud-init {{pm_clone}} template
  community.general.proxmox_kvm:
    api_user: "{{proxmox_api_user}}"
    api_password: "{{proxmox_api_password}}"
    api_host: "{{proxmox_api_host}}"
    node: "{{ proxmox_node }}"
    clone: "{{pm_clone}}"
    storage: "{{pm_storage}}"
    name: "{{pm_name}}"
    memory: "{{pm_memory}}"
    newid: "{{ vmid | default(omit) }}"
    state: present
    timeout: 120
  tags: clone
  delegate_to: localhost

- name: Wait for clone {{pm_name}}
  wait_for_connection:
    timeout: 120
  delegate_to: localhost

- name: Update VM settings {{pm_name}}
  community.general.proxmox_kvm:
    api_user: "{{proxmox_api_user}}"
    api_password: "{{proxmox_api_password}}"
    api_host: "{{proxmox_api_host}}"
    node: "{{proxmox_node}}"
    name: "{{pm_name}}"
    memory: "{{pm_memory}}"
    bootdisk: "scsi0"
    vga: "serial0"
    ipconfig: 
     ipconfig0: "gw={{pm_gw}},ip={{pm_address}}"
    agent: yes
    update: yes
  delegate_to: localhost

- name: Start VM {{pm_name}}
  community.general.proxmox_kvm:
    api_user: "{{proxmox_api_user}}"
    api_password: "{{proxmox_api_password}}"
    api_host: "{{proxmox_api_host}}"
    node: "{{proxmox_node}}"
    name: "{{pm_name}}"
    state: started
    timeout: 120
  delegate_to: localhost


# - raw: test -f /var/lib/cloud/instance/boot-finished
#   retries: 50
#   register: cmd_res
#   changed_when: false
#   until: cmd_res | success

# - name: Wait cloud init success
#   ansible.builtin.shell:
#     cmd: cloud-init status --wait
#   register: cinitres
#   failed_when: '"status: done" not in cinitres.stdout'


# - name: wait for cloud init to finish {{pm_name}} 
#   community.general.cloud_init_data_facts:
#     filter: status
#   register: res
#   until: "res.cloud_init_data_facts.status.v1.stage is defined and not res.cloud_init_data_facts.status.v1.stage"
#   retries: 50
#   delay: 5
